Bug 862478 - There is no documentation about specification of process name
There is no documentation about specification of process name
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: doc-BRMS_Business_Process_Management_Guide (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: lcarlon
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-02 23:36 EDT by Hisao Furuichi
Modified: 2012-11-25 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-25 20:09:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisao Furuichi 2012-10-02 23:36:05 EDT
Description of problem:
Although there are some specification for process name, there is no document.

Additional info:
Here is one example of specification for process name. 
"underscore character should not be used for process name."

Here is the case why underscore character should not be used.
1: logon to guvnor
2: open process-designer
3: select sub-process
4: click CalledElement, then a prosess name list table will pop up.
   Any process which name has underscore doesn't show up on the table.
Comment 1 Hisao Furuichi 2012-10-03 01:19:02 EDT
My previous comment was not clear, so I put comment again.

> Description of problem:
> Although there are some specification for process name, there is no document.

I'm talking about constraint of process id.

Also constraint is not about process name.  It's about process id.
Comment 2 lcarlon 2012-11-25 20:09:08 EST
Hi Hisao,

the 5.3.1 docs has a warning in the process designer chapter that users should not include unicode characters in the process name or ID.

http://documentation-devel.engineering.redhat.com/docs/en-US/JBoss_Enterprise_BRMS_Platform/5/html/BRMS_Business_Process_Management_Guide/Process_Creation_and_Validation.html

Thanks
Lee

Note You need to log in before you can comment on or make changes to this bug.